Returns the Checkout Session with the given id
/checkout/sessions/{id}Authorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
id
string
requiredId of the Checkout Session to retrieve
Checkout Session
Show response attributes
id
string
Identifier that can be used to retrieve the Checkout Session
amount_kg
number
Amount of carbon credits to be purchased upon checkout completion, in kilograms
price_usd_cents
number
Total price to be charged upon checkout completion, in USD cents
success_url
string
URL the customer will be redirected to after they complete Checkout.
cancel_url
string
URL the customer will be redirected to if they click the "back" button in Checkout.
checkout_url
string
URL to the Checkout Session. Redirect the customer to this URL to take them to Checkout.
state
string
The status of the Checkout Session, one of open, complete, or expired.
open - The checkout session is still in progress. Payment processing has not started.complete - The checkout session is complete. Payment processing may still be in progress.expired - The checkout session has expired. No further processing will occur.expires_on
string
Timestamp of when the session will expire.
completed_on
string | null
Timestamp of when the session was completed. Null if session has not been completed.
portfolio_id
string
Id of the portfolio the customer will purchase from when completing Checkout.
subaccount_id
string | null
Id of the subaccount associated with the customer
order_description
string | null
Description to be associated with the order created from this session.
order_webhook_url
string | null
Webhook URL for updates to the order created from this session.
Get Checkout Session
curl --request GET \
--url https://api.cnaught.com/v1/checkout/sessions/<id> \
--header 'Authorization: Bearer <token>'{
"id": "zpQ6QSNRQh",
"amount_kg": 100,
"price_usd_cents": 200,
"success_url": "https://www.example.com/confirmation?my_query=my_value&session_id={CHECKOUT_SESSION_ID}",
"cancel_url": "https://www.example.com/purchase-credits",
"checkout_url": "https://checkout.cnaught.com/pay/zpQ6QSNRQh",
"state": "open",
"created_on": "2022-07-31T18:00:00.000000Z",
"expires_on": "2022-08-01T18:00:00.000000Z",
"completed_on": null,
"portfolio_id": "mHvNvWbq",
"order_description": "on behalf of Jane Smith",
"order_webhook_url": "https://www.example.com/callback"
}